diff --git a/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeProcedural.java b/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeProcedural.java
index 266bdd7fd..1b493378d 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeProcedural.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeProcedural.java
@@ -21,8 +21,8 @@ public abstract class WorldFeatureSpoonerTreeProcedural
     protected double[] foliageShape = null;
     protected List<int[]> foliageCoords = null;
 
-    public WorldFeatureSpoonerTreeProcedural(int x, int y, int z, int height, int trunkId, int trunkData, int leavesId, int leavesData) {
-        super(x, y, z, height, trunkId, trunkData, leavesId, leavesData);
+    public WorldFeatureSpoonerTreeProcedural(int height, int trunkId, int trunkData, int leavesId, int leavesData) {
+        super(height, trunkId, trunkData, leavesId, leavesData);
     }
 
     protected void crossSection(int[] center, double radius, int dirAxis, int id, int data, World world) {
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeRainforest.java b/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeRainforest.java
index 9710b49ba..428f907a2 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeRainforest.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeRainforest.java
@@ -4,8 +4,8 @@ import net.minecraft.core.world.World;
 
 public class WorldFeatureSpoonerTreeRainforest
     extends WorldFeatureSpoonerTreeProcedural {
-    public WorldFeatureSpoonerTreeRainforest(int x, int y, int z, int height, int trunkId, int trunkData, int leavesId, int leavesData) {
-        super(x, y, z, height, trunkId, trunkData, leavesId, leavesData);
+    public WorldFeatureSpoonerTreeRainforest(int height, int trunkId, int trunkData, int leavesId, int leavesData) {
+        super(height, trunkId, trunkData, leavesId, leavesData);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeRound.java b/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeRound.java
index 4b30d4ece..66033596d 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeRound.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeRound.java
@@ -5,8 +5,8 @@ import net.minecraft.core.world.World;
 public class WorldFeatureSpoonerTreeRound
     extends WorldFeatureSpoonerTreeProcedural {
 
-    public WorldFeatureSpoonerTreeRound(int x, int y, int z, int height, int trunkId, int trunkData, int leavesId, int leavesData) {
-        super(x, y, z, height, trunkId, trunkData, leavesId, leavesData);
+    public WorldFeatureSpoonerTreeRound(int height, int trunkId, int trunkData, int leavesId, int leavesData) {
+        super(height, trunkId, trunkData, leavesId, leavesData);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeStick.java b/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeStick.java
index afe7b203e..5334b562c 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeStick.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTreeStick.java
@@ -4,8 +4,8 @@ import net.minecraft.core.world.World;
 
 public abstract class WorldFeatureSpoonerTreeStick
     extends WorldFeatureSpoonerTree {
-    public WorldFeatureSpoonerTreeStick(int x, int y, int z, int height, int trunkId, int trunkData, int leavesId, int leavesData) {
-        super(x, y, z, height, trunkId, trunkData, leavesId, leavesData);
+    public WorldFeatureSpoonerTreeStick(int height, int trunkId, int trunkData, int leavesId, int leavesData) {
+        super(height, trunkId, trunkData, leavesId, leavesData);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/world/type/WorldTypeOverworld.java b/src/main/java/net/minecraft/core/world/type/WorldTypeOverworld.java
index 23efa1d04..5d6b75c56 100644
--- a/src/main/java/net/minecraft/core/world/type/WorldTypeOverworld.java
+++ b/src/main/java/net/minecraft/core/world/type/WorldTypeOverworld.java
@@ -89,13 +89,15 @@ public abstract class WorldTypeOverworld
     public float[] getSunriseColor(float timeOfDay, float partialTick)
     {
         float[] sunriseCol = new float[4];
-        float f2 = 0.4F;
-        float f3 = MathHelper.cos(timeOfDay * 3.141593F * 2.0F) - 0.0F;
-        float f4 = -0F;
-        if(f3 >= f4 - f2 && f3 <= f4 + f2)
+        float sunriseMinimum = 0.4F;
+
+        // Gives a value that goes from 1 to -1 to 1 over the course of a day
+        float sunrisePresence = MathHelper.cos(timeOfDay * MathHelper.PI * 2.0F);
+        float middle = 0F;
+        if(sunrisePresence >= middle - sunriseMinimum && sunrisePresence <= middle + sunriseMinimum)
         {
-            float c = ((f3 - f4) / f2) * 0.5F + 0.5F;
-            float a = 1.0F - (1.0F - MathHelper.sin(c * 3.141593F)) * 0.99F;
+            float c = ((sunrisePresence - middle) / sunriseMinimum) * 0.5F + 0.5F;
+            float a = 1.0F - (1.0F - MathHelper.sin(c * MathHelper.PI)) * 0.99F;
             a *= a;
             sunriseCol[0] = c * 0.3F + 0.7F;
             sunriseCol[1] = c * c * 0.7F + 0.2F;
